<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
  <!-- Popper Development version -->
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <!-- Import DataTable Library -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <!-- Import Datatable sau jquery -->
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body>
    <div class="container mt-5">
        <!-- Subtask 1 -->
        <div class="row text-center">
            <div class="col-sm-6">
                <label>Kiểm tra một biến có phải mảng hay không:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check1">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 2 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Trả về phần tử thứ n của mảng:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check2">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 3 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Sắp xếp giá trị các phần tử của mảng theo thứ tự tăng dần:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check3">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 4 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Trả về vị trí của phần tử thứ n trong mảng:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check4">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 5 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Nối 2 mảng với nhau để tạo thành một mảng mới:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check5">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 6 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Lọc một mảng trả ra một mảng chứa các phần tử có giá trị (số hoặc chuỗi):</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check6">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 7 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Bỏ phần tử có giá trị bằng n trong mảng cho trước:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check7">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 8 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Lấy random một phần tử bất kỳ trong mảng:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check8">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 9 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Tạo một mảng gồm x phần tử có giá trị y:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check9">Kiểm tra</button>
            </div>
        </div>
        <!-- Subtask 10 -->
        <div class="row text-center mt-4">
            <div class="col-sm-6">
                <label>Tạo một mảng gồm y số liên tiếp bắt đầu từ giá trị x:</label>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-primary" id="btn-check10">Kiểm tra</button>
            </div>
        </div>
    </div>
</body>
<script>
    "use strict"
    $(document).ready(function() {
        $("#btn-check1").on("click", function() {
            onBtnCheck1Click();
        });
        $("#btn-check2").on("click", function() {
            onBtnCheck2Click();
        });
        $("#btn-check3").on("click", function() {
            onBtnCheck3Click();
        });
        $("#btn-check4").on("click", function() {
            onBtnCheck4Click();
        });
        $("#btn-check5").on("click", function() {
            onBtnCheck5Click();
        });
        $("#btn-check6").on("click", function() {
            onBtnCheck6Click();
        });
        $("#btn-check7").on("click", function() {
            onBtnCheck7Click();
        });
        $("#btn-check8").on("click", function() {
            onBtnCheck8Click();
        });
        $("#btn-check9").on("click", function() {
            onBtnCheck9Click();
        });
        $("#btn-check10").on("click", function() {
            onBtnCheck10Click();
        });
    });
    function onBtnCheck1Click() {
        var a = "Devcamp";
        var b = [1,2,3];
        var c = ("Devcamp User").split();
        console.log('"Devcamp" có phải là mảng không ? ' + Array.isArray(a));
        console.log('[1,2,3] có phải là mảng không ? ' + Array.isArray(b));
        console.log('("Devcamp User").split() có phải là mảng không ? ' + Array.isArray(c));
    }
    function onBtnCheck2Click() {
        var vNumbers = [1,2,3,4,5,6];
        var n = 3;
        var n2 = 6;
        console.log(vNumbers[n]);
        console.log(vNumbers[n2]);
    }
    function onBtnCheck3Click() {
        var vMyArr = [3,8,7,6,5,-4,-3,2,1];
        console.log(vMyArr.sort(function(a, b) {
            return a - b;
        }));
    }
    function onBtnCheck4Click() {
        var numbers = [1,2,3,4,5,6];
        var n = numbers.findIndex(function (item) {
            return item == 3;
        });
        var n2 = numbers.findIndex(function (item) {
            return item == 7;
        });
        console.log(n);
        console.log(n2);
    }
    function onBtnCheck5Click() {
        var a = [1,2,3];
        var b = [4,5,6];
        var result = a.concat(b)
        console.log(result);
    }
    function onBtnCheck6Click() {
        var arr = [NaN, 0, 15, false, -22, '',undefined, 47, null];
        var result = arr.filter(function(numbers) {
            return  numbers;
        });
        console.log(result); // output: [3, 4, 5, 6]

    }
    function onBtnCheck7Click() {
        var arr = [2,5,9,6];
        var n = 5;
        var newArr = arr.filter(item => item !== n);
        console.log(newArr);
        var arr2 = [2,9,6];
        var n2 = 5;
        var newArr2 = arr2.filter(item => item !== n2);
        console.log(newArr2);
        var arr3 = [2,5,9,6];
        var n3 = 6;
        var newArr3 = arr3.filter(item => item !== n3);
        console.log(newArr3);
    }
    function onBtnCheck8Click() {
        var vMyArr = [1,2,3,4,5,6,7,8,9];
        var rand = vMyArr[Math.floor(Math.random() * vMyArr.length)];
        console.log(rand);
    }
    function onBtnCheck9Click() {
        var x = 6;
        var y = 0;
        var myArray = []
        for (var i = 0; i < x; i++) {
            myArray.push(y);
        }
        console.log(myArray);
        var x2 = 4;
        var y2 = 11;
        var myArray2 = []
        for (var i = 0; i < x2; i++) {
            myArray2.push(y2);
        }
        console.log(myArray2);
    }
    function onBtnCheck10Click() {
        var x = 1;
        var y = 4;
        var arr = [];
        for (var i = 0; i < y; i++) {
            arr.push(x++);
        }
        console.log(arr);
        var x2 = -6;
        var y2 = 4;
        var arr2 = [];
        for (var i = 0; i < y2; i++) {
            arr2.push(x2++);
        }
        console.log(arr2);
    }
</script>
</html>